=== modified file 'drizzled/diagnostics_area.cc'
--- drizzled/diagnostics_area.cc	2009-03-17 06:08:42 +0000
+++ drizzled/diagnostics_area.cc	2009-05-14 21:17:19 +0000
@@ -98,8 +98,7 @@
 /**
   Set ERROR status.
 */
-void Diagnostics_area::set_error_status(Session *,
-                                   uint32_t sql_errno_arg,
+void Diagnostics_area::set_error_status(uint32_t sql_errno_arg,
                                    const char *message_arg)
 {
   /*

=== modified file 'drizzled/diagnostics_area.h'
--- drizzled/diagnostics_area.h	2009-02-08 03:02:04 +0000
+++ drizzled/diagnostics_area.h	2009-05-14 21:17:19 +0000
@@ -54,7 +54,7 @@
                      uint64_t last_insert_id_arg,
                      const char *message);
   void set_eof_status(Session *session);
-  void set_error_status(Session *session, uint32_t sql_errno_arg, const char *message_arg);
+  void set_error_status(uint32_t sql_errno_arg, const char *message_arg);
 
   void disable_status();
 

=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2009-05-14 15:22:46 +0000
+++ drizzled/drizzled.cc	2009-05-14 21:17:19 +0000
@@ -1275,7 +1275,7 @@
           error= ER_UNKNOWN_ERROR;
         if (str == NULL)
           str= ER(error);
-        session->main_da.set_error_status(session, error, str);
+        session->main_da.set_error_status(error, str);
       }
     }
 
@@ -2569,41 +2569,29 @@
   {0, 0, 0, 0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0}
 };
 
-static int show_net_compression(Session *session,
-                                SHOW_VAR *var,
-                                char *)
-{
-  var->type= SHOW_MY_BOOL;
-  var->value= (char *)&session->compression;
-  return 0;
-}
-
-static st_show_var_func_container
-show_net_compression_cont= { &show_net_compression };
-
-static int show_starttime(Session *session, SHOW_VAR *var, char *buff)
+static int show_starttime(SHOW_VAR *var, char *buff)
 {
   var->type= SHOW_LONG;
   var->value= buff;
-  *((long *)buff)= (long) (session->query_start() - server_start_time);
+  *((long *)buff)= (long) (time(NULL) - server_start_time);
   return 0;
 }
 
 static st_show_var_func_container
 show_starttime_cont= { &show_starttime };
 
-static int show_flushstatustime(Session *session, SHOW_VAR *var, char *buff)
+static int show_flushstatustime(SHOW_VAR *var, char *buff)
 {
   var->type= SHOW_LONG;
   var->value= buff;
-  *((long *)buff)= (long) (session->query_start() - flush_status_time);
+  *((long *)buff)= (long) (time(NULL) - flush_status_time);
   return 0;
 }
 
 static st_show_var_func_container
 show_flushstatustime_cont= { &show_flushstatustime };
 
-static int show_open_tables(Session *, SHOW_VAR *var, char *buff)
+static int show_open_tables(SHOW_VAR *var, char *buff)
 {
   var->type= SHOW_LONG;
   var->value= buff;
@@ -2611,8 +2599,7 @@
   return 0;
 }
 
-static int show_table_definitions(Session *,
-                                  SHOW_VAR *var, char *buff)
+static int show_table_definitions(SHOW_VAR *var, char *buff)
 {
   var->type= SHOW_LONG;
   var->value= buff;
@@ -2635,7 +2622,6 @@
   {"Bytes_received",           (char*) offsetof(STATUS_VAR, bytes_received), SHOW_LONGLONG_STATUS},
   {"Bytes_sent",               (char*) offsetof(STATUS_VAR, bytes_sent), SHOW_LONGLONG_STATUS},
   {"Com",                      (char*) com_status_vars, SHOW_ARRAY},
-  {"Compression",              (char*) &show_net_compression_cont, SHOW_FUNC},
   {"Connections",              (char*) &thread_id,          SHOW_INT_NOFLUSH},
   {"Created_tmp_disk_tables",  (char*) offsetof(STATUS_VAR, created_tmp_disk_tables), SHOW_LONG_STATUS},
   {"Created_tmp_files",	       (char*) &my_tmp_file_created,SHOW_INT},

=== modified file 'drizzled/lock.cc'
--- drizzled/lock.cc	2009-05-14 20:07:56 +0000
+++ drizzled/lock.cc	2009-05-14 21:17:19 +0000
@@ -947,8 +947,7 @@
 }
 
 
-static bool locked_named_table(Session *,
-                               TableList *table_list)
+static bool locked_named_table(TableList *table_list)
 {
   for (; table_list ; table_list=table_list->next_local)
   {
@@ -974,7 +973,7 @@
 
   safe_mutex_assert_owner(&LOCK_open);
 
-  while (locked_named_table(session,table_list))
+  while (locked_named_table(table_list))
   {
     if (session->killed)
     {
@@ -1014,7 +1013,7 @@
   for (lock_table= table_list; lock_table; lock_table= lock_table->next_local)
   {
     int got_lock;
-    if ((got_lock=lock_table_name(session,lock_table, true)) < 0)
+    if ((got_lock= lock_table_name(session,lock_table, true)) < 0)
       goto end;					// Fatal error
     if (got_lock)
       got_all_locks=0;				// Someone is using table
@@ -1134,8 +1133,6 @@
   Unlock all tables in list with a name lock.
 
   @param
-    session			Thread handle
-  @param
     table_list		Names of tables to unlock
   @param
     last_table		Don't unlock any tables after this one.

=== modified file 'drizzled/lock.h'
--- drizzled/lock.h	2009-05-14 18:45:52 +0000
+++ drizzled/lock.h	2009-05-14 21:17:19 +0000
@@ -65,8 +65,7 @@
 void unlock_table_name(TableList *table_list);
 bool wait_for_locked_table_names(Session *session, TableList *table_list);
 bool lock_table_names(Session *session, TableList *table_list);
-void unlock_table_names(TableList *table_list,
-			TableList *last_table);
+void unlock_table_names(TableList *table_list, TableList *last_table);
 bool lock_table_names_exclusively(Session *session, TableList *table_list);
 bool is_table_name_exclusively_locked_by_this_thread(Session *session,
                                                      TableList *table_list);

=== modified file 'drizzled/plugin.h'
--- drizzled/plugin.h	2009-04-11 04:44:48 +0000
+++ drizzled/plugin.h	2009-05-14 21:17:19 +0000
@@ -99,7 +99,7 @@
 
 
 #define SHOW_VAR_FUNC_BUFF_SIZE 1024
-typedef int (*mysql_show_var_func)(Session *, struct st_mysql_show_var *, char *);
+typedef int (*mysql_show_var_func)(struct st_mysql_show_var *, char *);
 
 struct st_show_var_func_container {
   mysql_show_var_func func;

=== modified file 'drizzled/show.cc'
--- drizzled/show.cc	2009-05-14 20:07:56 +0000
+++ drizzled/show.cc	2009-05-14 21:17:19 +0000
@@ -1403,7 +1403,7 @@
       Repeat as necessary, if new var is again SHOW_FUNC
     */
     for (var=variables; var->type == SHOW_FUNC; var= &tmp)
-      ((mysql_show_var_func)((st_show_var_func_container *)var->value)->func)(session, &tmp, buff);
+      ((mysql_show_var_func)((st_show_var_func_container *)var->value)->func)(&tmp, buff);
 
     SHOW_TYPE show_type=var->type;
     if (show_type == SHOW_ARRAY)

=== modified file 'plugin/innobase/handler/ha_innodb.cc'
--- plugin/innobase/handler/ha_innodb.cc	2009-05-14 16:46:36 +0000
+++ plugin/innobase/handler/ha_innodb.cc	2009-05-14 21:17:19 +0000
@@ -8884,7 +8884,7 @@
 	*(const char**) var_ptr = innobase_change_buffering_values[ibuf_use];
 }
 
-static int show_innodb_vars(Session *, SHOW_VAR *var, char *)
+static int show_innodb_vars(SHOW_VAR *var, char *)
 {
   innodb_export_status();
   var->type= SHOW_ARRAY;

